##############################################################################
# Construction de la fenetre .topmaxornone
##############################################################################

# procedure to show window ShowWindow.topmaxdepth
proc ShowWindow.topmaxornone { var i msg} {
    # xf ignore me 7
    
    # build widget .topmaxornone
    if {"[info procs XFEdit]" != ""} {
	catch "XFDestroy .topmaxornone"
    } {
	catch "destroy .topmaxornone"
    }
    toplevel .topmaxornone     -relief {raised}
    
    # Window manager configurations
    wm positionfrom .topmaxornone program
    wm sizefrom .topmaxornone program
    wm geometry .topmaxornone 250x44
    wm minsize .topmaxornone 10 10
    wm title .topmaxornone "daTac: $msg"

    global font1
    global varmaxornone imaxornone msgmaxornone
    set varmaxornone $var
    set imaxornone $i
    set msgmaxornone $msg
    
    # bindings
    bind .topmaxornone <Enter> {focus .topmaxornone.f.e}
    
    # build widget .topmaxornone.bCancel
    button .topmaxornone.bCancel \
	-font $font1 \
	-bg {grey95} \
	-activebackground {grey95} \
	-activeforeground {grey5} \
	-command {
	    unset varmaxornone imaxornone msgmaxornone
	    DestroyWindow .topmaxornone} \
	-cursor {circle} \
	-text {Cancel}
    
    # build widget .topmaxornone.bNone
    button .topmaxornone.bNone \
	-font $font1 \
	-bg {grey95} \
	-activebackground {grey95} \
	-activeforeground {grey5} \
	-command {
	    set entreeMaxOrNone ""
	    .topmaxornone.bOk invoke} \
	-cursor {hand2} \
	-text {None}
    
    # build widget .topmaxornone.bOk
    button .topmaxornone.bOk \
	-font $font1 \
	-bg {grey95} \
	-activebackground {grey95} \
	-activeforeground {grey5} \
	-command {
	    set entreeMaxOrNone [string trim $entreeMaxOrNone]
	    if {$entreeMaxOrNone == ""} {
		set $varmaxornone ""
		.menubar.mbparameters.m entryconfigure $imaxornone \
		    -label "No $msgmaxornone"
		unset varmaxornone imaxornone msgmaxornone
		DestroyWindow .topmaxornone
	    } elseif {[regexp {^([0-9]*)$} $entreeMaxOrNone] == 1 && $entreeMaxOrNone > 0} {
		set $varmaxornone $entreeMaxOrNone
		.menubar.mbparameters.m entryconfigure $imaxornone \
		    -label "$msgmaxornone: [eval subst {$[subst {$varmaxornone}]}]"
		unset varmaxornone imaxornone msgmaxornone
		DestroyWindow .topmaxornone
	    } else {
		ShowWindow.topmessage
		.topmessage.msg configure -text "\n\n$msgmaxornone:\n\nPositive integer or Nothing expected\n\nand got: \"$entreeMaxOrNone\".\n\n"
	    }
	} \
	-cursor {hand1} \
	-text {Ok}
    
    # build widget .topmaxornone.f
    frame .topmaxornone.f \
	-relief {raised}
    
    # build widget .topmaxornone.f.e
    entry .topmaxornone.f.e \
	-font $font1 \
	-relief {sunken} \
	-textvariable {entreeMaxOrNone}
    
    # bindings
    bind .topmaxornone.f.e <Key-Return> {
	.topmaxornone.bOk flash
	.topmaxornone.bOk invoke
    }
    
    # build widget .topmaxornone.f.lbl
    label .topmaxornone.f.lbl \
	-font $font1 \
	-bg {grey80} \
	-padx {2} \
	-relief {flat} \
	-text {Value:}
    
    # pack widget .topmaxornone.f
    pack append .topmaxornone.f \
	.topmaxornone.f.lbl {left frame center} \
	.topmaxornone.f.e {top frame center expand fill} 
    
    # pack widget .topmaxornone
    pack append .topmaxornone \
	.topmaxornone.f {top frame center fill} \
	.topmaxornone.bNone {left frame center expand fill} \
	.topmaxornone.bCancel {left frame center expand fill} \
	.topmaxornone.bOk {left frame center expand fill} 
    
    if {"[info procs XFEdit]" != ""} {
	catch "XFMiscBindWidgetTree .topmaxornone"
	after 2 "catch {XFEditSetShowWindows}"
    }
}
